From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/gcr/
Date: Tue, 26 Jul 2022 22:02:00 +0000 (UTC) [thread overview]
Message-ID: <1658872910.a61268e24cb762caf9ab73a17d9ab0efa1b7ec68.mattst88@gentoo> (raw)
commit: a61268e24cb762caf9ab73a17d9ab0efa1b7ec68
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 26 21:59:43 2022 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Jul 26 22:01:50 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a61268e2
app-crypt/gcr: Version bump to 3.41.1
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
app-crypt/gcr/Manifest | 1 +
app-crypt/gcr/gcr-3.41.1.ebuild | 84 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 85 insertions(+)
diff --git a/app-crypt/gcr/Manifest b/app-crypt/gcr/Manifest
index a138c3c1ce25..2f2637cad476 100644
--- a/app-crypt/gcr/Manifest
+++ b/app-crypt/gcr/Manifest
@@ -1 +1,2 @@
DIST gcr-3.41.0.tar.xz 1039744 BLAKE2B c646a04168310051d5b582a9d2f7ab9da89eef095e856e56b8d730600debead051ad8bb40eddb7457b1be2be3e092227dd886f647258a9c6a81d4bab728245f7 SHA512 455acc40ed77feeb35f9845b00229f468b322b7eda0b1b5abb0153f0a6ba29f3d0364df22225143f4caf130254a1258b3c7f934370e5142f2f64e1c3084b6f6e
+DIST gcr-3.41.1.tar.xz 1030368 BLAKE2B 9d254b7f2ad864c45200e58b685db97c1ffbc83d29ba8cbda94d30ec565aa3dc5a2535305dc63b3264131b68ec9e48f37ac30d5ba08d0ce156f3b6091cd62dc1 SHA512 dd70d41636ede863d05824b26823a8f572902f7a9b6f09b0c70586ef0d4c046864e6956130b9231850a515a9fbfcd56faf20354c1cf8f697f005827c048a2325
diff --git a/app-crypt/gcr/gcr-3.41.1.ebuild b/app-crypt/gcr/gcr-3.41.1.ebuild
new file mode 100644
index 000000000000..53971669534e
--- /dev/null
+++ b/app-crypt/gcr/gcr-3.41.1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit gnome.org gnome2-utils meson python-any-r1 vala xdg
+
+DESCRIPTION="Libraries for cryptographic UIs and accessing PKCS#11 modules"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gcr"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0/1" # subslot = suffix of libgcr-base-3 and co
+
+IUSE="gtk gtk-doc +introspection systemd test +vala"
+REQUIRED_USE="vala? ( introspection )"
+RESTRICT="!test? ( test )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+DEPEND="
+ >=dev-libs/glib-2.44.0:2
+ >=dev-libs/libgcrypt-1.2.2:0=
+ >=app-crypt/p11-kit-0.19.0
+ >=app-crypt/libsecret-0.20
+ systemd? ( sys-apps/systemd:= )
+ gtk? ( >=x11-libs/gtk+-3.22:3[introspection?] )
+ >=sys-apps/dbus-1
+ introspection? ( >=dev-libs/gobject-introspection-1.58:= )
+"
+RDEPEND="${DEPEND}"
+PDEPEND="app-crypt/gnupg"
+BDEPEND="
+ ${PYTHON_DEPS}
+ gtk? ( dev-libs/libxml2:2 )
+ dev-util/gdbus-codegen
+ dev-util/glib-utils
+ gtk-doc? ( dev-util/gi-docgen )
+ >=sys-devel/gettext-0.19.8
+ test? ( app-crypt/gnupg )
+ virtual/pkgconfig
+ vala? ( $(vala_depend) )
+"
+
+PATCHES=(
+ "${FILESDIR}"/3.38.0-optional-vapi.patch
+)
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ use vala && vala_setup
+ xdg_environment_reset
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use introspection)
+ $(meson_use gtk)
+ $(meson_use gtk-doc gtk_doc)
+ -Dgpg_path="${EPREFIX}"/usr/bin/gpg
+ -Dssh_agent=true
+ $(meson_feature systemd)
+ $(meson_use vala vapi)
+ )
+ meson_src_configure
+}
+
+src_test() {
+ dbus-run-session meson test -C "${BUILD_DIR}" || die 'tests failed'
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}
next reply other threads:[~2022-07-26 22:02 UTC|newest]
Thread overview: 73+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-26 22:02 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-06 0:45 [gentoo-commits] repo/gentoo:master commit in: app-crypt/gcr/ Sam James
2024-06-06 0:45 Sam James
2024-06-06 0:45 Sam James
2024-05-06 7:09 Mart Raudsepp
2024-04-28 19:11 Ionen Wolkens
2024-04-07 6:51 Arthur Zamarin
2024-03-03 20:55 Mart Raudsepp
2023-05-02 19:30 Arthur Zamarin
2023-05-02 19:30 Arthur Zamarin
2023-05-02 19:02 Arthur Zamarin
2023-05-02 18:18 Arthur Zamarin
2023-05-02 18:16 Arthur Zamarin
2023-05-02 17:53 Arthur Zamarin
2023-05-02 17:44 Arthur Zamarin
2023-03-30 3:58 Matt Turner
2022-12-22 11:13 Arthur Zamarin
2022-12-22 11:13 Arthur Zamarin
2022-12-16 20:30 Arthur Zamarin
2022-12-16 20:30 Arthur Zamarin
2022-10-29 22:33 Matt Turner
2022-10-13 0:27 Matt Turner
2022-10-01 22:27 Matt Turner
2022-10-01 15:41 Matt Turner
2022-09-30 18:37 Arthur Zamarin
2022-09-28 16:29 Arthur Zamarin
2022-09-19 1:38 Sam James
2022-09-07 2:10 Matt Turner
2022-07-27 15:53 Matt Turner
2022-07-21 0:13 Sam James
2022-07-18 17:44 Sam James
2022-05-18 8:00 WANG Xuerui
2022-01-02 7:11 Sam James
2021-05-28 19:18 Sam James
2021-05-21 0:51 Yixun Lan
2021-04-13 15:03 Sam James
2021-01-25 3:22 Matt Turner
2020-11-06 6:57 Sam James
2020-08-31 2:52 Sam James
2020-08-30 18:28 Sam James
2020-04-17 19:50 Mart Raudsepp
2020-04-14 17:05 Mart Raudsepp
2020-02-11 10:52 Agostino Sarubbo
2020-02-09 15:56 Mart Raudsepp
2020-02-09 15:56 Mart Raudsepp
2020-01-28 7:41 Agostino Sarubbo
2020-01-27 14:28 Agostino Sarubbo
2020-01-27 12:44 Agostino Sarubbo
2020-01-27 8:10 Sergei Trofimovich
2020-01-11 12:10 Mart Raudsepp
2020-01-11 12:10 Mart Raudsepp
2019-12-25 20:28 Mart Raudsepp
2019-12-04 21:41 Matt Turner
2019-10-09 8:27 Agostino Sarubbo
2019-05-21 3:17 Aaron Bauman
2019-03-26 22:15 Mart Raudsepp
2019-02-17 16:01 Mikle Kolyada
2019-01-27 20:34 Dennis Lamm
2019-01-18 16:30 Mart Raudsepp
2018-12-28 3:46 Matt Turner
2018-10-29 1:01 Matt Turner
2018-10-27 18:43 Sergei Trofimovich
2018-10-26 20:19 Sergei Trofimovich
2018-09-22 19:54 Mart Raudsepp
2016-12-06 19:50 Markus Meier
2016-09-04 23:20 Gilles Dartiguelongue
2016-06-24 20:06 Pacho Ramos
2016-06-12 9:13 Pacho Ramos
2016-05-03 19:20 Markus Meier
2015-12-30 14:57 Jeroen Roovers
2015-11-14 15:27 Pacho Ramos
2015-11-14 15:27 Pacho Ramos
2015-10-03 8:11 Markus Meier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1658872910.a61268e24cb762caf9ab73a17d9ab0efa1b7ec68.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox